package com.jay.monitor.data.server.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

/**
 * jay_monitor_mq
 * @author 
 */
public class JayMonitorMq implements Serializable {
    /**
     * 主键名称
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    private String applicationIp;

    /**
     * mq类型 
     */
    private String mqType;

    /**
     * 执行类型  producer/consumer
     */
    private String invokeType;

    /**
     * 订阅主题
     */
    private String topic;

    /**
     * 分区名称
     */
    private String partitionName;

    /**
     * 消息编号
     */
    private String msgId;

    /**
     * 应用监控组
     */
    private String dataGroupName;

    /**
     * 应用监控key
     */
    private String dataGroupKey;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 根日志编号
     */
    private String rootLogId;

    /**
     * 上级日志编号
     */
    private String parentLogId;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 状态1：正常消息 -1异常消息
     */
    private Integer status;

    /**
     * 请求时长
     */
    private Long requestTime;

    /**
     * 数据来源时间
     */
    private Date sourceTime;

    /**
     * 时间时间
     */
    private Date createdTime;

    public Long getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getApplicationIp() {
        return applicationIp;
    }

    public void setApplicationIp(String applicationIp) {
        this.applicationIp = applicationIp;
    }

    public String getMqType() {
        return mqType;
    }

    public void setMqType(String mqType) {
        this.mqType = mqType;
    }

    public String getInvokeType() {
        return invokeType;
    }

    public void setInvokeType(String invokeType) {
        this.invokeType = invokeType;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getDataGroupName() {
        return dataGroupName;
    }

    public void setDataGroupName(String dataGroupName) {
        this.dataGroupName = dataGroupName;
    }

    public String getDataGroupKey() {
        return dataGroupKey;
    }

    public void setDataGroupKey(String dataGroupKey) {
        this.dataGroupKey = dataGroupKey;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getRootLogId() {
        return rootLogId;
    }

    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    public String getParentLogId() {
        return parentLogId;
    }

    public void setParentLogId(String parentLogId) {
        this.parentLogId = parentLogId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSourceTime() {
        return sourceTime;
    }

    public void setSourceTime(Date sourceTime) {
        this.sourceTime = sourceTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
}